extends BaseState

@export var body: CharacterBody2D
@export var direction_component: FacingDirectionComponent

func GetStateEnum() -> PlayerStateMachine.States:
	return PlayerStateMachine.States.USING_ITEM_A


func GetAnimationBaseName() -> String:
	return "idle"


func Update(_delta: float) -> void:
	state_machine.QueueStateChange(PlayerStateMachine.States.DRAWING_BOW, { "action_name": "use_item_a" })
